'-------------------------------------------------
'		datatype definition
'		Copyright (c) 2020 Masamichi Kirikae
'
'-------------------------------------------------
'
'		 default integer in the FreeBasic x64 compiler is
'		signed 64bit but FreeBasic x32 integer is signed 32bit.
'		 These declarations absorb differences when the
'		number of compiler bits is different, and clarify
'		the size of the variables.
'

type u8		as	ubyte
type s8		as	byte
type u16	as	ushort
type s16	as	short
type u32	as	ulong
type s32	as	long
type u64	as	ulongint
type s64	as	longint
type float	as	single
