'-------------------------------------------------
'		Windows fileopen/save/select folder
'		Copyright (c) 2019 Masamichi Kirikae
'-------------------------------------------------
#Include once "crt.bi"
#Include once "windows.bi"
#Include once "win/commdlg.bi"
#include once "win/shlobj.bi"

#ifndef _FILE_HELPERS_WIN32
	#define _FILE_HELPERS_WIN32
#endif

#define FileOpenDialog(a,b,c,d,e) FileOpenSaveDialog(0,(a),(b),(c),(d),(e))
#define FileSaveDialog(a,b,c,d,e) FileOpenSaveDialog(1,(a),(b),(c),(d),(e))

dim shared as long OFS_FILE_OPEN_FLAGS = OFN_EXPLORER _
or OFN_LONGNAMES _
or OFN_CREATEPROMPT _
or OFN_NODEREFERENCELINKS

dim shared as long OFS_FILE_SAVE_FLAGS = OFN_EXPLORER _
or OFN_LONGNAMES _
or OFN_OVERWRITEPROMPT _
or OFN_HIDEREADONLY

declare function FileOpenSaveDialog(iMode as long, byval szTitle as zstring ptr, byval szInitialDir as zstring ptr, byval _szFilter as zstring ptr, byval iFlags as DWORD, byval szName as zstring ptr) as string
declare function FileSelectFolder_callback(byval hwndbrowse as HWND, byval uMsg as ulong, byval lp as LPARAM, Byval lpData as LPARAM) as long
declare function FileSelectFolder(Byref title As string = "Choose A Folder", byVal nCSIDL as long, ulFlags as ulong = BIF_NEWDIALOGSTYLE, byref sz_InitialDir as string) as string

type FOLDER_PROPS
	dim lpszTitle as zstring ptr
	dim lpszInitialFolder as zstring ptr
	dim As ulong ulFlags
end type
